List overrides
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Get the Focused Inbox overrides that a user has set up to always classify messages from certain senders in specific ways.
Each override corresponds to an SMTP address of a sender. Initially, a user does not have any overrides.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | Mail.Read |
| Delegated (personal Microsoft account) | Mail.Read |
| Application | Mail.Read |
HTTP request
GET /me/inferenceClassification/overrides
GET /users/{id}/inferenceClassification/overrides
Request headers
| Name | Type | Description |
|---|---|---|
| Authorization | string | Bearer {token}. Required. |
Request body
Do not supply a request body for this method.
Response
If successful, this method returns a 200 OK response code and a collection of inferenceClassificationOverride objects in the response body.
Example
Request
Here is an example of the request.
GET https://graph.microsoft.com/beta/me/inferenceClassification/overrides
Response
Here is an example of the response. Note: The response object shown here might be shortened for readability.
HTTP/1.1 200 OK
Content-type: application/json
{
"value": [
{
"classifyAs": "focused",
"senderEmailAddress": {
"name": "Samantha Booth",
"address": "samanthab@adatum.onmicrosoft.com"
},
"id": "98f5bdef-576a-404d-a2ea-07a3cf11a9b9"
},
{
"classifyAs": "other",
"senderEmailAddress": {
"name": "Randi Welch",
"address": "randiw@adatum.onmicrosoft.com"
},
"id": "98f5bdef-576a-404d-a2ea-07a3cf34af4r"
}
]
}
Feedback
Submit and view feedback for